# Fixed routes
front_index:
    path:  /
    controller: App\Controller\Front\DefaultController:index
front_encode_filters:
    path:  /encodeFilters
    controller: App\Controller\Front\BookingController:encodeFilters
front_legal_notice:
    path:  /aviso-legal
    controller: App\Controller\Front\DefaultController:legalNotice
front_privacy_policy:
    path:  /politica-de-privacidad
    controller: App\Controller\Front\DefaultController:privacyPolicy
front_regulation_of_internal_regime:
    path:  /reglamento-de-regimen-interior
    controller: App\Controller\Front\DefaultController:regulationOfInternalRegime
front_cookies_policy:
    path:  /politica-de-cookies
    controller: App\Controller\Front\DefaultController:cookiesPolicy
front_my_booking_logout:
    path:  /my-booking-logout
    controller: App\Controller\Front\BookingController:myBookingLogout

# Ajax routes
#ajax_accommodation_validation:
#    path:     /ajax-accommodation-validation/{accommodations}
#    controller: App\Controller\Front\BookingController:accommodationValidation
#    options:
#        expose: true

# i18n_routes
front_booking_step_1:
    path:
        es: /reserva/alojamientos/{filters}
        en: /booking/accommodations/{filters}
        fr: /réservation/hébergement/{filters}
        de: /reservierung/unterkunft/{filters}
        it: /prenotare/alloggio/{filters}
    controller: App\Controller\Front\BookingController:step1
front_booking_step_2:
    path:
        es: /reserva/confirmacion/{filters}
        en: /booking/confirmation/{filters}
        fr: /réservation/confirmation/{filters}
        de: /reservierung/bestätigen/{filters}
        it: /prenotare/conferma/{filters}
    controller: App\Controller\Front\BookingController:step2
front_booking_step_3:
    path:
        es: /reserva/finalizada/{reference}
        en: /booking/successful/{reference}
        fr: /réservation/terminée/{reference}
        de: /reservierung/beendet/{reference}
        it: /prenotare/completa/{reference}
    controller: App\Controller\Front\BookingController:step3
    defaults:
        reference: null

front_my_booking:
    path:
        es: /mi-reserva/{reference}
        en: /my-booking/{reference}
        fr: /ma-réservation/{reference}
        de: /meine-reservierung/{reference}
        it: /la-mia-prenotazione/{reference}
    controller: App\Controller\Front\BookingController:myBooking
    defaults:
        reference: null
front_my_booking_item:
    path:
        es: /my-booking/items
        en: /mi-reserva/extras
        fr: /ma-réservation/items
        de: /meine-reservierung/items
        it: /la-mia-prenotazione/items
    controller: App\Controller\Front\BookingController:myBooking

front_accommodation_list:
    path:
        es: /alojamientos
        en: /accommodations
        fr: /hébergement
        de: /unterkunft
        it: /alloggio
    controller: App\Controller\Front\AccommodationController:list

front_service_list:
    path:
        es: /servicios
        en: /services
        fr: /services
        de: /service
        it: /servizi
    controller: App\Controller\Front\ServiceController:list

front_discover_list:
    path:
        es: /descubre
        en: /discover
        fr: /découverte
        de: /endecke
        it: /scopri
    controller: App\Controller\Front\DiscoverController:list

front_blog_search:
    path:
        es: /blog/busqueda/{page}
        en: /blog/search/{page}
        fr: /blog/recherche/{page}
        de: /blog/suche/{page}
        it: /blog/ricerca/{page}
    controller: App\Controller\Front\BlogController:search
    defaults:
        page: 1

front_blog_home:
    path:
        es: /blog/articulo/{postSlug}
        en: /blog/article/{postSlug}
        fr: /blog/article/{postSlug}
        de: /blog/zugang/{postSlug}
        it: /blog/articolo/{postSlug}
    controller: App\Controller\Front\BlogController:home

front_blog_list:
    path:
        es: /blog/articulos/{page}
        en: /blog/articles/{page}
        fr: /blog/articles/{page}
        de: /blog/artikles/{page}
        it: /blog/articoli/{page}
    controller: App\Controller\Front\BlogController:list
    defaults:
        page: 1

front_how_to_get:
    path:
        es: /como-llegar
        en: /how-to-get
        fr: /comment-arriver
        de: /anreise
        it: /dove-siamo
    controller: App\Controller\Front\DefaultController:howToGet

front_contact:
    path:
        es: /contacto
        en: /contact
        fr: /contact
        de: /kontakt
        it: /contatti
    controller: App\Controller\Front\ContactController:contact
